Package org.eclipse.m2m.atl.adt.ui.text

## Class AtlAnnotationHover

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.text.AtlAnnotationHover

All Implemented Interfaces:
  `org.eclipse.jface.text.source.IAnnotationHover`

    public class AtlAnnotationHover
    extends java.lang.Object
    implements org.eclipse.jface.text.source.IAnnotationHover

### Constructor Summary

Constructors
`AtlAnnotationHover()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHoverInfo​(org.eclipse.jface.text.source.ISourceViewer sourceViewer, int lineNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlAnnotationHover

    public AtlAnnotationHover()

### Method Detail

#### getHoverInfo

    public java.lang.String getHoverInfo​(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                                         int lineNumber)

Specified by:
  `getHoverInfo` in interface `org.eclipse.jface.text.source.IAnnotationHover`